Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Как заставить работать принтер Canon LBP-1120 под Ubuntu 10.04.1  (Прочитано 3577 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Snaut

  • Автор темы
  • Участник
  • *
  • Сообщений: 219
  • Живущий на планете Земля
    • Просмотр профиля
    • Фельдшер Ру
Идём на официальный сайт и берём свежий драйвер - http://software.canon-europe.com/software/0038979.asp?model=
Распаковываем. Инсталлируем. Затем запускаем терминал и получаем права суперпользователя.
 Далее:

(Нажмите, чтобы показать/скрыть)

И всё,  принтер работает.
« Последнее редактирование: 08 Сентября 2010, 21:45:09 от Snaut »
Чтобы правильно задать вопрос, надо знать бОльшую часть ответа.

Оффлайн Van_Seld

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
неа, не работает :(

Оффлайн ArtKun

  • Новичок
  • *
  • Сообщений: 25
    • Просмотр профиля
неа, не работает :(
Так в разделе же прилеплен очень хороший скрипт, у меня на 3 ПК отлично работает, с разной разрядностью.
http://radu.cotescu.com/how-to-install-canon-lbp-printers-in-ubuntu/
Скачиваем, распаковываем, переходим в терминале в эту папку
и потом просто запускаем скрипт:
sudo ./canonLBP_install.sh PRINTER_MODEL,
где вместо PRINTER_MODEL - модель собственно принтера.
« Последнее редактирование: 06 Декабря 2010, 17:37:53 от ArtKun »

Оффлайн Van_Seld

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
да, скрипт отработал. проблемы были на этапе установки дров (проблема точь-в-точь описана здесь: http://sysadmins.ru/topic267407.html), компилировала дрова из исходников. скрипт не помог.

Оффлайн ArtKun

  • Новичок
  • *
  • Сообщений: 25
    • Просмотр профиля
да, скрипт отработал. проблемы были на этапе установки дров (проблема точь-в-точь описана здесь: http://sysadmins.ru/topic267407.html), компилировала дрова из исходников. скрипт не помог.
Помню, было что-то подобное на 64-битной системе. Решилось тоже просто - удалил все полностью - любые следы cups, cndrv, настройки пакетов - ну чтобы вообще ничего. Запустил скрипт, принтер не заработал, зато скрипт нормально установил все нужно пакеты - поэтому дальше все заново по мануалам из Сети, не считая собственно установки пакетов. Я уже почти уверен, что у вас 64-битная система, а Radu Cotescu на своем сайте на английском описывает "нетрадиционность" сборки пакетов для этой архитектуры, т.к. в Canon этого просто не предусматривали. Поэтому единственные правильно скомпилированные драйвера - это у уважаемого Radu Coterscu.
Еще он говорил, что проблемы с зависимостями могут быть из-за разных версий - допустим, вы пытались установить 1.8/1.9/2.0, а скрипт устанавливает 2.0.1 - поэтому разные пакеты могут конфликтовать. Так что лучший вариант - это чистая установка всех пакетов из архива со скриптом.
« Последнее редактирование: 06 Декабря 2010, 19:44:36 от ArtKun »

 

Страница сгенерирована за 0.233 секунд. Запросов: 25.